import {IIngredient} from "./IIngredient";
import * as mongoose from "mongoose";
import {SensorType} from "../SensorType";

export interface IContainer extends mongoose.Document {
    slot: number;
    content: IIngredient | undefined;
    volume: number;
    sensorFilledMin: number;
    sensorFilledMax: number;
    // Sensor Type
    sensorType: SensorType;
    sensorPin1: number;
    sensorPin2: number;
    rawData: number;
    pumpPin: number;
    filled: number;
    enabled: boolean;
    autoDisabled: boolean;
}